@media print {
    a[href]:after {
        content: none !important;
    }
}

/**************/
/***  TOP   ***/
/**************/

ul > li > a {
  color: #656565;
}

ul > li:hover > a {
  color: #e85b28;
}

ul > li > a:hover {
  text-decoration: none;
}

.login-panel a {
  text-decoration: none;
}
#myModalPlan > div > div > div.modal-body > ul,
#myModalPlan > div > div > div.modal-body > ul ul {
  list-style-type: none;
}

/***************/
/* RESET ROUND */
/***************/

.btn,
.modal-content,
.form-control {
  border-radius: 0;
}

input.readonly,
select.readonly,
label.readonly {
  pointer-events: none;
  cursor: not-allowed;
}

.form-control:focus {
  color: #495057;
  background-color: #fff;
  border-color: rgba(0, 0, 0, 0.3);
  outline: 0;
  box-shadow: none;
}

/* form control inline form */

.form-inline .form-control {
  width: 100%;
}

input.urlFormInput {
  cursor: pointer !important;
  color: #337ab7;
  background-color: #eee;
  opacity: 1;
}

input.urlFormInput:focus {
  background-color: #eee;
}

input.urlFormInput::placeholder {
  color: #337ab7;
  opacity: 1;
}

input.urlFormInput:-ms-input-placeholder {
  color: #337ab7;
}

input.urlFormInput:-ms-input-placeholder {
  color: #337ab7;
}

/**************/
/*** BTN ***/
/**************/

.btn-outline-dark {
  border: 1px solid #000;
}

.btn:hover {
  border: 1px solid rgba(0, 0, 0, 0.3);
  background-color: #fff;
}

#button-filters .btn-group {
  margin-right: 15px;
}

#buttons-export {
  padding-bottom: 20px;
}

#buttons-export .btn {
  margin-right: 10px;
}

#buttons-export.pg-top-20 {
  padding-top: 20px;
}

.btn-primary:hover {
  background-color: #286090 !important;
}

#login-page .btn-login {
  margin-top: 25px;
}

#login-page .form-inline .form-group {
  margin-right: 15px;
}

#view_all {
  margin-top: 15px;
}

/**************/
/*** HEADER ***/
/**************/

header .header-top {
  padding: 7px 0;
  background-color: #004080;
  font-size: 12px;
}

header .header-top .list-inline {
  margin-bottom: 0;
}

header .header-top li a {
  margin-left: 15px;
  padding-right: 15px;
  color: #fff;
}

header .header-top li + li::before {
  content: "|";
  color: #fff;
}
#header-logo-login {
  padding: 20px 0;
}

#header-logo-login .connexion {
  margin-top: 19px;
}

#header-logo-login .connexion-co {
  text-align: right;
  font-size: 12px;
}

#header-logo-login .connexion-co .username {
  color: #002280;
}
#header-logo-login .connexion-co .username:hover,
#header-logo-login .connexion-co .username:focus {
  color: #e85b28;
  text-decoration: none;
}

/* login switch */

#header-logo-login .connexion-co .user-switch {
  color: #000;
}

#header-logo-login .connexion-co a:hover {
  text-decoration: none;
}

/********************/
/***** LOGOUT *******/
/********************/

#logout_lct {
  font-size: 14px;
  color: #000;
  margin-left: 10px;
}

/*******************/
/*** MENU  ***/
/******************/

.navbar-default .navbar-nav > .open > a,
.navbar-default .navbar-nav > .open > a:focus,
.navbar-default .navbar-nav > .open > a:hover {
  background-color: #004080;
  color: #fff;
}
.navbar-default {
  background-color: rgb(16, 80, 163);
  border-color: rgb(16, 80, 163);
}

.navbar {
  margin: 0;
  padding: 0;
  border-radius: 0;
}

.navbar-collapse .container {
  margin-bottom: 0 !important;
}
.navbar-default .navbar-nav > li > a,
.navbar-default .navbar-nav > li > a:hover,
.navbar-default .navbar-nav > li > a:focus {
  color: #fff;
}

/* dropdown */

.navbar .dropdown-menu .dropdown-header {
  color: #0066a8;
  font-size: 14px;
  padding-top: 10px;
}

.navbar .dropdown-menu-large .dropdown-header {
  padding-top: 0;
}

.navbar .dropdown-menu > li > a {
  padding: 8px 20px;
  font-size: 12px;
}

.navbar .dropdown-menu > li > a:hover,
.navbar .dropdown-menu > li > a:focus {
  text-decoration: none;
  color: #e85b28;
  background-color: transparent;
}

.navbar .dropdown-menu {
  border-radius: 0;
}

/* dropdown large */

.dropdown-menu-large {
  padding: 16px 0px 16px 0;
  min-width: 768px !important;
}
.dropdown-menu-large > li > ul {
  padding: 0;
  margin: 0;
}
.dropdown-menu-large > li > ul > li {
  list-style: none;
}
.dropdown-menu-large > li > ul > li > a {
  display: block;
  padding: 5px 0;
  clear: both;
  font-weight: 300;
  line-height: 1.428571429;
  color: #333333;
  white-space: normal;
  font-size: 12px;
}

.dropdown-menu-large > li ul > li > a:hover,
.dropdown-menu-large > li ul > li > a:focus {
  text-decoration: none;
  color: #e85b28;
}
.dropdown-menu-large .disabled > a,
.dropdown-menu-large .disabled > a:hover,
.dropdown-menu-large .disabled > a:focus {
  color: #999999;
}
.dropdown-menu-large .disabled > a:hover,
.dropdown-menu-large .disabled > a:focus {
  text-decoration: none;
  background-color: transparent;
  background-image: none;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  cursor: not-allowed;
}
.dropdown-menu-large .dropdown-header {
  color: #0066a8;
  font-size: 14px;
  padding: 3px 0;
}

@media (max-width: 768px) {
  .dropdown-menu-large {
    margin-left: 0;
    margin-right: 0;
  }
  .dropdown-menu-large > li {
    margin-bottom: 30px;
  }
  .dropdown-menu-large > li:last-child {
    margin-bottom: 0;
  }
  .dropdown-menu-large .dropdown-header {
    padding: 3px 15px !important;
  }
}

.dropdown-menu-large [class*="col-"]:not(:last-child) {
  border-right: 1px solid #e5e5e5;
}

.dropdown-menu-large-admin {
  min-width: 508px !important;
}

/*******************/
/*** MENU MOBILE ***/
/******************/

.navbar-default .navbar-toggle .icon-bar {
  background-color: #fff;
}

.navbar-default .navbar-toggle {
  border-color: #fff;
}

.navbar-default .navbar-toggle:focus,
.navbar-default .navbar-toggle:hover {
  background-color: transparent;
}

.navbar-toggle {
  border-radius: 0;
}

/*******************/
/****** BODY ******/
/******************/

#content {
  min-height: 350px;
}

textarea {
  resize: vertical;
}

/**************/
/*** FOOTER ***/
/**************/

/* LINKS */

/* AIDE */
.group-fab {
  height: auto;
  position: fixed;
  bottom: 50px;
  right: 20px;
  cursor: pointer;
}

.fab {
  border-radius: 50%;
  height: 50px;
  width: 50px;
  font-size: 15px;
  background-color: #0066a8;
  color: #fff;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.14), 0 4px 8px rgba(0, 0, 0, 0.28);
}

.fab i {
  margin-left: 21px;
  margin-top: 13px;
  font-size: 25px !important;
}

.small-fab-edit {
  border-radius: 50%;
  height: 40px;
  width: 40px;
  font-size: 12px;
  background-color: #5cb85c;
  color: #fff;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.14), 0 4px 8px rgba(0, 0, 0, 0.28);
  display: none;
  margin-bottom: 10px;
  margin-left: 3px;
}

.small-fab-view {
  border-radius: 50%;
  height: 40px;
  width: 40px;
  font-size: 12px;
  background-color: #e85b28;
  color: #fff;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.14), 0 4px 8px rgba(0, 0, 0, 0.28);
  display: none;
  margin-bottom: 9px;
  margin-left: 3px;
}

.small-fab-view span,
.small-fab-edit span {
  margin: 13px;
  font-size: 14px;
}

#draggable-aide {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  top: 50px;
  margin: auto;
  z-index: 1000;
  width: 790px;
}

.draggable-aide-big {
  width: 70% !important ;
  left: 15% !important;
  right: 15% !important;
  top: 50px;
  -webkit-transform: translateY(0px);
  -moz-transform: translateY(0px);
  transform: translateY(0px);
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

#draggable-aide .modal-content .modal-header {
  background-color: #e85b28;
  color: #ffffff;
}
.action-aide {
  float: right;
  font-size: 15px;
  cursor: pointer;
}
#action-draggable {
  cursor: move;
}
.bg-big-aide {
  height: 100%;
  width: 100%;
  position: fixed;
  top: 0px;
  left: 0px;
  bottom: 0px;
  z-index: 1000;
  background-color: rgb(0, 0, 0);
  opacity: 0.5;
}

.Dropdown {
  height: auto !important;
}
#draggable-aide .modal-content .loading {
  margin-left: 42%;
  font-size: 65px;
  padding: 5%;
}
#alert-aide div {
  width: 600px;
  margin: auto;
  margin-top: 20px;
}
.aide-modal-tabs {
  margin-top: 10px;
}

#modal-body-aide {
  overflow-x: auto;
  max-height: 700px;
  color: black !important;
}

.aide-profil,
.aide-label {
  color: black !important;
}

.loading {
  color: black;
}

/***************/
/** FIL ARIANE **/
/***************/

#breadcrumb {
  padding: 14px 0 14px 0;
  font-size: 10px;
}

#breadcrumb a {
  color: #002280;
}

#breadcrumb a:hover,
#breadcrumb a:focus {
  color: #e85b28;
  text-decoration: none;
}

.title-page h2 {
  font-size: 20px;
  color: #e06000;
  font-weight: bold;
  margin-bottom: 17px;
  margin-top: 7px;
}

/************/
/** FOOTER **/
/************/

footer {
  bottom: 0;
  background-color: #004080;
  min-height: 75px;
  color: #fff;
  padding: 25px 0;
}

footer ul > li > a {
  color: #fff;
}

footer ul > li > a {
  margin-left: 8px;
}

footer ul > li > a:hover,
footer ul > li > a:focus {
  text-decoration: underline;
  color: #fff;
}

footer .vertical-center {
  display: table-cell;
  display: flex;
  align-items: center;
}

footer li + li::before {
  content: "|";
  color: #fff;
  margin: 0 15px;
}

#draggable-aide li + li::before {
  content: none !important;
  color: #fff;
  margin: 0 15px;
}

footer ul > li:hover > a {
  color: #fff;
}

/*************/
/** BUTTONS **/
/************/

.buttons-action {
  padding: 2px 0;
}

/*************/
/** PANEL **/
/************/

.panel {
  border-radius: 0;
}

/****************/
/***DATATABLE****/
/****************/

.dataTables_paginate {
  padding-top: 15px;
}

.dt-buttons {
  margin-top: -34px;
}

.dt-buttons .btn {
  height: 34px;
}

/**************/
/**FIXED NAV***/
/*************/
#block-fixed-scroll.affix #header-logo-login {
  padding: 5px 0;
}

#block-fixed-scroll.affix #header-logo-login .connexion {
  margin-top: 13px;
}

#block-fixed-scroll.affix .logo .img-responsive {
  width: 250px;
}

#block-fixed-scroll.affix {
  top: 0;
  position: fixed;
  width: 100%;
  background-color: #fff;
  z-index: 1000;
}

/**********/
/**CONTACT*/
/*********/

.contact-society-box {
  margin-top: 20px;
}

#list-contact {
  margin-top: 8px;
}

.tab-contacts {
  margin-top: 0;
}

/****TIMELINE******/

.timeline {
  list-style: none;
  padding: 20px 0 20px;
  position: relative;
}
.timeline > li {
  margin-bottom: 20px;
  position: relative;
}
.timeline > li:before,
.timeline > li:after {
  content: " ";
  display: table;
}
.timeline > li:after {
  clear: both;
}
.timeline > li:before,
.timeline > li:after {
  content: " ";
  display: table;
}
.timeline > li:after {
  clear: both;
}
.timeline > li > .timeline-panel {
  width: calc(100% - 75px);
  float: right;
  border: 1px solid #d4d4d4;
  border-radius: 2px;
  padding: 20px;
  position: relative;
  -webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
  box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
}
.timeline > li > .timeline-panel:before {
  position: absolute;
  top: 26px;
  left: -15px;
  display: inline-block;
  border-top: 15px solid transparent;
  border-right: 15px solid #ccc;
  border-left: 0 solid #ccc;
  border-bottom: 15px solid transparent;
  content: " ";
}
.timeline > li > .timeline-panel:after {
  position: absolute;
  top: 27px;
  left: -14px;
  display: inline-block;
  border-top: 14px solid transparent;
  border-right: 14px solid #fff;
  border-left: 0 solid #fff;
  border-bottom: 14px solid transparent;
  content: " ";
}
.timeline > li > .timeline-badge {
  color: #fff;
  width: 50px;
  height: 50px;
  line-height: 50px;
  font-size: 1.4em;
  text-align: center;
  position: absolute;
  top: 16px;
  left: 0;
  margin-right: -25px;
  background-color: #337ab7;
  z-index: 100;
  border-radius: 50%;
}
.timeline > li.timeline-inverted > .timeline-panel {
  float: left;
}
.timeline > li.timeline-inverted > .timeline-panel:before {
  border-right-width: 0;
  border-left-width: 15px;
  right: -15px;
  left: auto;
}
.timeline > li.timeline-inverted > .timeline-panel:after {
  border-right-width: 0;
  border-left-width: 14px;
  right: -14px;
  left: auto;
}
.timeline-badge.primary {
  background-color: #2e6da4 !important;
}
.timeline-badge.success {
  background-color: #3f903f !important;
}
.timeline-badge.warning {
  background-color: #f0ad4e !important;
}
.timeline-badge.danger {
  background-color: #d9534f !important;
}
.timeline-badge.info {
  background-color: #5bc0de !important;
}
.timeline-title {
  margin-top: 0;
  color: inherit;
}
.timeline-body > p, 
.timeline-body-mini > p, 
.list-group-item > p {
  overflow-wrap: break-word;
}
.timeline-body > p,
.timeline-body-mini > p,
.timeline-body > ul,
.timeline-body-mini > ul {
  margin-bottom: 0;
}
.timeline-badge i {
  padding-top: 15px;
}
.timeline-body > p + p,
.timeline-body-mini > p + p {
  margin-top: 5px;
}
.timeline-body {
  display: none;
}
.status {
  float: right;
  padding-right: 5px;
}

/*******************************
*** FONCTIONNALITE RECHERCHE ***
*******************************/

.input-search div {
  margin-bottom: 5px;
  margin-top: 5px;
}

div#moreOptions {
  float: left;
}

.panel-search .btn-search {
  padding: 0;
  margin: 0;
}

/***** ficheconstitutive *****/
.ficheconstitutive_topTable,
.info-importantes-top,
.ficheSysteme_topTable {
  padding: 6px 12px;
  min-height: 34px;
  background-color: #eee;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.05);
  margin: auto;
  margin-bottom: 20px;
  position: relative;
  justify-content: center;
  text-align: center;
}
#ficheConstitutiveAdd,
#ficheConstitutiveAdd #btn-zd,
#ficheConstitutiveAdd #btn-up {
  margin-bottom: 20px;
}
#ficheConstitutiveAdd .form-control-feedback {
  right: 15px;
}

#ficheConstitutiveAdd select[readonly],
#ficheConstitutiveAdd input[readonly] {
  pointer-events: none;
}

/*************/
/***SOCIETE***/
/*************/

#infos-societe {
  margin-top: 15px;
}

#panel-stats-societe {
  overflow-x: scroll;
}

#table-stats {
  font-size: 12px;
}

#table-stats th,
td {
  vertical-align: middle !important;
  text-align: center;
}

.glyphicon-sort-by-attributes-alt,
.glyphicon-sort-by-attributes,
.glyphicon-sort {
  color: #a6a6a6;
  cursor: pointer;
}

.break-word {
  word-wrap: break-word;
  word-break: break-word;
}

/*******************/
/***SUIVI DOSSIER***/
/*******************/
.info-importantes-top {
  padding: 6px 12px;
  height: 34px;
  background-color: #eee;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  float: inherit;
  margin: auto;
}

/*******************/
/********TCS********/
/*******************/

#tcs_tableau {
  overflow-x: auto;
}

#tcs_tableau th,
td {
  vertical-align: middle !important;
  text-align: center;
}

#error-descriptions-tcs {
  display: flex;
}

.tcs_description_systeme {
  float: left;
  margin: 0px 0 10px 0;
  display: flex;
}

/*.tcs_description {
  display:flex;
}*/

/*#tcs_tableau > form {
  height: 100%;
}*/

.full-width {
  position: relative;
  width: 90vw;
  left: 55%;
  margin-left: -48vw;
}

/* ALERTE */

.alert-forbidden {
  margin-top: 15px;
  border-radius: 0;
}

/* component textarea */

textarea {
  resize: vertical;
}

/************/
/**PIECECONSTITUTIVE**/
/************/

#label_typeTypology {
  margin-bottom: 0px;
}

/****TABLEAU DES CONFIGURATIONS
DE TRAVERSEES******/
div.table-responsive > thead > tr {
  color: red !important;
}

#conf-trav-test-tab {
  font-size: 10px;
}

/********/
/*DOSSIER*/
/********/

.search-dossier {
  margin-top: 0px !important;
}

.search-dossier .btn:first-child {
  margin-right: 15px;
}

/*****TOOLSTIPS*****/
/*.tooltips .tooltiptext {
    visibility: hidden;
    color: #FFF;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    background-color: #224CA3;
    position:absolute;

     Position the tooltip
    width: 60px;
    bottom: 100%;
    left: 50%;
    margin-left: -30px;  Use half of the width (120/2 = 60), to center the tooltip
}

.tooltips {
    position:relative;
}

.tooltips:hover .tooltiptext {
    visibility: visible;
}

.noOverflowY{
    overflow-y: visible!important;
}*/

select.greyPlaceholder {
  color: #999999;
}

.itemRow {
  display: none;
}

#moreButton:hover {
  color: #5bc0de;
}

.navbar .navbarHeader .dropdown-menu .dropdown-header span {
  white-space: pre-wrap;
  white-space: -moz-pre-wrap;
  white-space: -o-pre-wrap;
  word-wrap: break-word;
}

#open_corebundle_echange li {
  list-style: none;
}

/******* ICONES DE TRI (TABLE DES CODIFICATIONS) *******/

#codifTable th {
  position: relative;
}

#codifTable .th-label {
  display: inline-block;
  margin-right: 1em;
}

#codifTable .sort-icons {
  position: absolute;
  right: 8px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  gap: 2px;
  cursor: pointer;
}

#codifTable .sort-icon {
  font-size: 0.8em;
  color: #888;
  cursor: pointer; /* Affiche un pointeur au survol */
  transition: color 0.2s ease;
}

#codifTable .sort-icon:hover {
  color: #000;
}




#codifTable .sort-icon.active {
  color: #333; /* couleur plus sombre pour l'icône active */
}


/******** IMPRESSION A4 ********/
@media print and (max-width: 297mm) {
  
  /* Impression en A4 du tableau des configurations de traversées testées de la fiche système */
  /* Impression en A4 du tableau des statistiques lors de la visualisation de la société */
  /* L'utilisateur passe en paysage et on rogne sur les marges
    sinon le tableau ne pourra jamais entrer dans la largeur de la page 
  */
  #conf-trav-test-block .panel-body,
  #panel-stats-visualisation .panel-body {
    padding: 0;
  }

  #conf-trav-test-tab {
      font-size: 9px;
  }

  #table-stats {
    font-size: 11px;
  }

  #conf-trav-test-tab > tbody > tr > td,
  #conf-trav-test-tab > tbody > tr > th,
  #conf-trav-test-tab > tfoot > tr > td,
  #conf-trav-test-tab > tfoot > tr > th,
  #conf-trav-test-tab > thead > tr > td,
  #conf-trav-test-tab > thead > tr > th,
  #table-stats > tbody > tr > td,
  #table-stats > tbody > tr > th,
  #table-stats > tfoot > tr > td,
  #table-stats > tfoot > tr > th,
  #table-stats > thead > tr > td,
  #table-stats > thead > tr > th {
    padding: 1px;
  }
  
  /* Fix numéro dossier débordement du cadre à l'impression A4 */
  div.ficheSysteme_topTable > div.col-sm-4 {
    padding-right: 10px;
    padding-left: 10px;
  }

}